## lib-xt-java 0.19990725-1

=== Makefile ===
JAVAC=jikes
#JAVACFLAGS=-verbose
CP=cp

all: build

build:
	find . -name '*.java' | CLASSPATH=.:/usr/lib/jdk1.1/lib/classes.zip:$(CLASSPATH) xargs --verbose -iTOKEN $(JAVAC) $(JAVACFLAGS) TOKEN

install:
	$(CP) -a com $(DESTDIR)/usr/share/java/repository

clean:
	find . -name '*.class' | xargs --no-run-if-empty rm 
	rm -f *.jar

=== debian/demo/Makefile ===
all:
	java -Dcom.jclark.xsl.sax.parser=com.jclark.xml.sax.CommentDriver \
	com.jclark.xsl.sax.Driver \
	foo.xml foo.xsl

clean:

=== debian/changelog ===
lib-xt-java (0.19990725-1) unstable; urgency=low

  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon,  9 Aug 1999 16:14:33 +0200

lib-xt-java (0.19990514-1) unstable; urgency=low

  * Initial Release, never uploaded

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 25 Jun 1999 10:54:47 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "bortzmeyer@debian.org"
End:

=== debian/control ===
Source: lib-xt-java
Section: devel
Priority: optional
Maintainer: Stephane Bortzmeyer <bortzmeyer@debian.org>
Standards-Version: 2.4.0.0

Package: lib-xt-java
Architecture: all
Depends: java-common,lib-sax-java,lib-xp-java
Description: An implementation in Java of XSL Transformations
 It allows you to write Java applications which will
 process XSL stylesheets of XML documents.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) CLASSPATH=/usr/share/java/repository

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs xt.htm
	dh_installexamples demo/* debian/demo/*
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
#	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
